package com.srs.comprehensive.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.comprehensive.domain.SrsGrade;

/**
 * 年级
Service接口
 * 
 * @author srs
 * @date 2023-07-05
 */
public interface ISrsGradeService extends IService<SrsGrade>
{


    public AjaxResult listNowGrade();


    /**
     * 查询年级

     * 
     * @param gradeId 年级
主键
     * @return 年级

     */
    public SrsGrade selectSrsGradeByGradeId(Long gradeId);

    /**
     * 查询年级
列表
     * 
     * @param srsGrade 年级

     * @return 年级
集合
     */
    public List<SrsGrade> selectSrsGradeList(SrsGrade srsGrade);

    /**
     * 新增年级

     * 
     * @param srsGrade 年级

     * @return 结果
     */
    public int insertSrsGrade(SrsGrade srsGrade);

    /**
     * 修改年级

     * 
     * @param srsGrade 年级

     * @return 结果
     */
    public int updateSrsGrade(SrsGrade srsGrade);

    /**
     * 批量删除年级

     * 
     * @param gradeIds 需要删除的年级
主键集合
     * @return 结果
     */
    public int deleteSrsGradeByGradeIds(Long[] gradeIds);

    /**
     * 删除年级
信息
     * 
     * @param gradeId 年级
主键
     * @return 结果
     */
    public int deleteSrsGradeByGradeId(Long gradeId);

    void sqlserverSynchronousMYSQL(List<Map> list);
}
